package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Visa_entry_type;
import com.realnet.basicp1.Services.Visa_entry_typeService ;


@RequestMapping(value = "/token/Visa_entry_type")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Visa_entry_typeController {
	@Autowired
	private Visa_entry_typeService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Visa_entry_type")
		  public Visa_entry_type Savedata(@RequestBody Visa_entry_type data) {
		Visa_entry_type save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_entry_type/{id}")
	public  Visa_entry_type update(@RequestBody Visa_entry_type data,@PathVariable Integer id ) {
		Visa_entry_type update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_entry_type/getall/page")
	public Page<Visa_entry_type> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_entry_type> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_entry_type")
	public List<Visa_entry_type> getdetails() {
		 List<Visa_entry_type> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_entry_type")
	public List<Visa_entry_type> getallwioutsec() {
		 List<Visa_entry_type> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_entry_type/{id}")
	public  Visa_entry_type  getdetailsbyId(@PathVariable Integer id ) {
		Visa_entry_type  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_entry_type/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}